# Interface LogService

Service for logging messages at various levels.

interface LogService {
debug: LogCall;
error: LogCall;
info: LogCall;
log: LogCall;
warn: LogCall;
}

##### Index

### Properties

debug
error
info
log
warn

## Properties

### debug

debug: LogCall

Log a debug message.

### error

error: LogCall

Log an error message.

### info

info: LogCall

Log an info message.

### log

log: LogCall

Log a general message.

### warn

warn: LogCall

Log a warning message.